import {Processing} from '@/lib/XMLProcessor/src/core/Processing.ts'
import {Plugin} from 'vue'

const p = new Processing()
export const XMLProcessing: Plugin = function(app) {
    app.provide('xmlProcessing', p);
}

export function useXMLProcessing(): Processing {
    try {
        return <Processing>inject('xmlProcessing')
    } catch (e) {
        return p
    }
}